Watch, Follow, &
Connect with Us

For forums, blogs and more please visit our
Developer Tools Community.


Welcome, Guest
Guest Settings
Help

Thread: Unable to get Android working in Tokyo 10.2.3?


This question is not answered. Helpful answers available: 2. Correct answers available: 1.


Permlink Replies: 1 - Last Post: Apr 22, 2018 12:22 AM Last Post By: Markus Humm
Guenter Kraemer

Posts: 23
Registered: 9/16/03
Unable to get Android working in Tokyo 10.2.3?  
Click to report abuse...   Click to reply to this thread Reply
  Posted: Apr 21, 2018 7:12 AM
I installed Tokyo 10.2.3 and selected Android SDK and NDK to be installed.
After installation, there are at least 3-4 path wrong of the SDK, which can be resolved by setting the right path for adb.exe, zipalign.exe and something else.
But even then, when I try to create a new project, just having a blank form, select android as target, select my phone, hit F9, and its stuck for a long time creating some sort of libProject1.so (it goes to not responding), and after that I get an error :

[DCC Error] E2597 C:\Users\Public\Documents\Embarcadero\Studio\19.0\PlatformSDKs\android-ndk-r9c\toolchains\arm-linux-androideabi-4.6\prebuilt\windows\bin\arm-linux-androideabi-ld.exe: error: cannot find -lrtlhelper
C:\Users\Public\Documents\Embarcadero\Studio\19.0\PlatformSDKs\android-ndk-r9c\toolchains\arm-linux-androideabi-4.6\prebuilt\windows\bin\arm-linux-androideabi-ld.exe: error: cannot find -lpcre
C:\Users\Public\Documents\Embarcadero\Studio\19.0\PlatformSDKs\android-ndk-r9c\toolchains\arm-linux-androideabi-4.6\prebuilt\windows\bin\arm-linux-androideabi-ld.exe: error: cannot find -lcompiler_rt

What am I doing wrong???

Markus Humm

Posts: 5,113
Registered: 11/9/03
Re: Unable to get Android working in Tokyo 10.2.3?  
Click to report abuse...   Click to reply to this thread Reply
  Posted: Apr 22, 2018 12:22 AM   in response to: Guenter Kraemer in response to: Guenter Kraemer
Am 21.04.2018 um 16:12 schrieb Guenter Kraemer:
I installed Tokyo 10.2.3 and selected Android SDK and NDK to be installed.
After installation, there are at least 3-4 path wrong of the SDK, which can be resolved by setting the right path for adb.exe, zipalign.exe and something else.
But even then, when I try to create a new project, just having a blank form, select android as target, select my phone, hit F9, and its stuck for a long time creating some sort of libProject1.so (it goes to not responding), and after that I get an error :

[DCC Error] E2597 C:\Users\Public\Documents\Embarcadero\Studio\19.0\PlatformSDKs\android-ndk-r9c\toolchains\arm-linux-androideabi-4.6\prebuilt\windows\bin\arm-linux-androideabi-ld.exe: error: cannot find -lrtlhelper
C:\Users\Public\Documents\Embarcadero\Studio\19.0\PlatformSDKs\android-ndk-r9c\toolchains\arm-linux-androideabi-4.6\prebuilt\windows\bin\arm-linux-androideabi-ld.exe: error: cannot find -lpcre
C:\Users\Public\Documents\Embarcadero\Studio\19.0\PlatformSDKs\android-ndk-r9c\toolchains\arm-linux-androideabi-4.6\prebuilt\windows\bin\arm-linux-androideabi-ld.exe: error: cannot find -lcompiler_rt

What am I doing wrong???


Hello,

1. which Java version do you have installed?

2. in the Android SDK installation there is some SDK manager which is
the tool used to update the SDK. Maybe something is missing in your
SDK installation somehow?

Greetings

Markus
Legend
Helpful Answer (5 pts)
Correct Answer (10 pts)

Server Response from: ETNAJIVE02